Subject: bug#46979: Allow setting Man-default-entry via Local Variables

From: Daniel Martín <[email-masked]>
Date: Mon, 08 Mar 2021 20:01:31 +0100

Eli Zaretskii <[email-masked]> writes:

>
> The need to add local variables to files is in itself a downside.

I'm not too sold on the local variables approach, either.  Perhaps we
could expose a customization point in the form of an alist of filename
patterns vs corresponding manuals.  Emacs would provide a few of them
and users could expand the list with more if
needed. `Man-default-man-entry' would consult this alist first and
fallback to the current behavior of guessing based on the text near
point.